# git-ssh-upload(1) Manual Page

## NAME

git-ssh-upload - Push to a remote repository over ssh connection

## SYNOPSIS

git-ssh-upload [-c] [-t] [-a] [-d] [-v] [-w filename] [--recover] commit-id url

## DESCRIPTION

Pushes from a remote repository over ssh connection, invoking git-ssh-fetch on the other end. It functions identically to git-ssh-fetch, aside from which end you run it on.

## OPTIONS

commit-id

  Id of commit to push.

-c

  Get the commit objects.

-t

  Get tree associated with the requested commit object.

-a

  Get all the objects.

-v

  Report what is uploaded.

-w

  Writes the commit-id into the filename under [URL]/refs/ on the remote end after the transfer is complete.

## Author

Written by Daniel Barkalow <barkalow@iabervon.org>

## Documentation

Documentation by Daniel Barkalow

## GIT

Part of the git(7) suite